/**
Theme Name: Diocèse92
Author: Marion Pouliquen
Author URI: http://wpastra.com/about/
Description: Thème du Diocèse du 92. Basé sur le thème Astra.
Version: 1.0.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: diocese92
Template: astra
*/

.round-icon {
    background-color: var(--ast-global-color-0);
    padding: 10px;
    border-radius: 100px;
    transition: all 0.2s ease;
}

.quick-buttons h2 {
    text-transform: none;
}

.quick-buttons .wp-block-columns {
    display: flex;
    justify-content: center;
    align-items: top;
    flex-wrap: wrap !important;
}

.astra-advanced-hook-430 .quick-buttons .wp-block-columns {
    justify-content: center;
}

.single article .entry-content, .single-post article {
    background-color: transparent;
}

@media screen and (max-width:921px) {
    .astra-advanced-hook-430 .quick-buttons .wp-block-columns {
        display: flex;
        justify-content: center;
    }
}

.quick-buttons .wp-block-column {
    align-self: start;
}

.round-icon:hover {
    transform: scale(1.1);
    box-shadow: 0px 0px 15px 1px rgb(166 166 166 / 64%);
    background-color: var(--ast-global-color-1);
}

.uagb-post-grid.is-grid.uagb-post__image-position-top .uagb-post__image a.uagb-image-ratio-2-3 {
    padding-bottom: 120%;
}

.uagb-post-grid .uagb-post__image img {
    object-fit: cover;
}

.uagb-post__cta {
    float: right
}

a.wp-block-button__link.uagb-text-link {
    background-color: transparent;
    color: var(--ast-global-color-0);
    padding: 0;
    text-transform: none;
    border: none;
}

a.wp-block-button__link.uagb-text-link:hover {
    background-color: transparent;
    color: var(--ast-global-color-1);
}

a.wp-block-button__link.uagb-text-link:before {
    content: '> ';
    vertical-align: text-top;
}

p.has-large-font-size {
    line-height: 1.1em;
    font-size: 1.4rem !important;
}

/*.has-medium-font-size {
    font-size: 1.1rem !important;
}*/

.entry-content .no-margin {
    margin-block-end: 0;
    margin-block-start: 0;
    margin-bottom: 0;
    margin-top: 0;
}

.big a.uagb-buttons-repeater.wp-block-button__link {
    font-size: 1.8rem !important;
    padding: 15px 80px;
    width: 100%;
}

:root :where(.is-layout-flex) {
    gap: 40px;
}

.entry-content .uagb-post__items:not(.wp-block-uagb-post-carousel) {
    row-gap: 40px !important;
    column-gap: 40px !important;
}

.uagb-post__text.uagb-post__excerpt {
    padding: 0;
}

.uagb-post__title,
.uagb-post-grid-byline {
    padding-bottom: 0 !important;
}

.wp-block-uagb-buttons-child.big {
    width: 100%;
}

.hand-icon a {
    display: flex;
    flex-direction: column;
    line-height: 1em !important;
}

.hand-icon a:after {
    background-image: url(/wp-content/uploads/2025/02/don_padding-1.svg);
    display: block;
    position: relative;
    width: 35px;
    height: 35px;
    content: '';
    margin-top: 2px;
    background-position: center;
    background-size: contain;
}


.membres h3 a {
    cursor: unset;
}

.membres h3.uagb-post__title.uagb-post__text {
    text-align: center;
    /*font-size: 1.3rem;*/
}

.membres .uagb-post__text.uagb-post__excerpt {
    visibility: hidden;
    max-height: 0;
    margin-top: 10px;
    text-align: center;
}

.membres article:hover .uagb-post__text.uagb-post__excerpt {
    visibility: visible;
    height: auto;
    max-height: 1200px;
}

.membres article:hover .uagb-post__image {
    max-height: 0;
    visibility: hidden;
}

.membres .uagb-post__image {
    max-height: 1200px;
}

.membres .uagb-post__inner-wrap {
    background: #fff;
}

.membres .uagb-post__inner-wrap:hover {
    background: #f6f6f6;
}

.membres * {
    transition: none;
}

.membres .uagb-post__taxonomy a {
    font-size: 18px;
    font-weight: 800;
    color: var(--ast-global-color-0) !important;
}

.membres .uagb-post__taxonomy {
    text-align: center;
    width: 100%;
}

.uagb-post-grid.uagb-post__items.is-carousel{
	margin: 0 auto !important
}

.membres.uagb-slick-carousel .slick-next,
.membres.uagb-slick-carousel .slick-prev {
    top: 150px;
}

.membres.uagb-slick-carousel {
    padding: 0;
}

.membres button.slick-arrow {
    box-shadow: none !important;
}

.membres .fonction {
    font-size: 20px;
    font-weight: 600;
    text-align: center;
}

#menu-footer-menu-4 li {
    font-size: 1.2rem;
    text-transform: uppercase;
    font-weight: 700;
}

h1.wp-block-heading,
article h1.entry-title {
    padding: 0 0 3rem;
    font-weight: 800 !important;
}
/*
h2.widget-title {
    font-size: 1.2rem;
}
*/

#page .site-content {
    flex-grow: 1;
}

.wp-block-quote:not(.has-text-align-right):not(.has-text-align-center) {
    border-left: 5px solid var(--ast-global-color-1);
}

.white-box .uagb-ifb-content * {
    fill: var(--ast-global-color-1) !important;
}

.white-box .uagb-ifb-content {
    padding: 2.5em;
}

.timetable {
    background-color: white;
    padding: 2.5em !important;
}

.timetable>.wp-block-columns {
    border-bottom: 1px dotted #d2d2d2 !important;
}

a.uagb-buttons-repeater.wp-block-button__link {
    border: none !important;
}


/* Archive */

section.ast-archive-description h1 {
    line-height: 1;
}

section.ast-archive-description {
    background-color: white;
}

.ast-blog-layout-4-grid .ast-article-inner {
    box-shadow: none;
    padding: 0;
}

.dates h3,
.ast-blog-layout-4-grid .ast-article-inner h2 {
    text-transform: none !important;
    margin: 0;
    /*font-size: 1.4em;*/
}

.ast-blog-featured-section,
.dates img {
    margin-bottom: 15px;
}

.dates .date {
    font-weight: 600;
    font-size: 20px;
    color: var(--ast-global-color-3);
}

article .read-more a {
    display: inline-block;
    font-size: 1.125rem;
    text-align: right;
    display: block;
}

article .post-content>.read-more {
    margin-top: 10px;
}

.ast-blog-layout-4-grid .ast-article-inner h2 a {
    font-weight: 700 !important;
    line-height: 1.3;
}

.ast-excerpt-container.ast-blog-single-element {
    font-weight: 600;
    font-size: 20px;
    line-height: 1.2em;
}

.ast-right-sidebar #primary {
    padding-right: 0;
}

.ast-pagination .page-numbers {
    font-weight: 600;
    color: var(--ast-global-color-);
    border-color: var(--ast-global-color-8);
    background-color: var(--ast-global-color-8);
}

ul.wp-block-categories-list.wp-block-categories {
    margin: 10px 0 0 0;
    list-style-type: none;
    font-weight: 600;
}

#secondary li {
    margin-bottom: 0;
}

#secondary {
    margin: 2.2em 0 2.5em;
}

#secondary li:before {
    content: '>';
    margin-right: 5px;
}

span.ast-blog-single-element.ast-taxonomy-container.cat-links.badge {
    position: absolute;
    top: 24px;
    z-index: 5;
}

span.ast-blog-single-element.ast-taxonomy-container.cat-links.badge a {
    text-transform: none;
    display: block;
    border-radius: 0 !important;
    font-weight: 600;
}

.single article .entry-content,
.single-post article {
    background-color: var(--ast-global-color-4) !important;
}

.single-post article {
    margin-bottom: 1.5em !important;
}


/* Evenements */

.post-type-archive-evenement .ast-row,
.tax-evenement_category .ast-row,
.post-type-archive-evenement nav.navigation.pagination,
.tax-evenement_category nav.navigation.pagination {
    display: none;
}

.dates img {
    width: 100%;
    aspect-ratio: 1;
    object-fit: cover;
}

.date-content .ast-button {
    padding: 5px;
    border-radius: 0;
    font-weight: 400;
    font-size: inherit;
    text-transform: none;
}

.date-content .ast-taxonomy-container {
    position: absolute;
    top: 0 !important;
    left: 0;
}

.date-content {
    position: relative;
}

.date-content img {
    aspect-ratio: 1 !important;
    object-fit: cover;
}

.date-content h3 {
    padding-top: 15px;
}

.date-content .date {
    font-weight: 600;
}

h2.color {
    background-color: var(--ast-global-color-0);
    padding: 0.6em 0.6em 0.4em;
    color: var(--ast-global-color-5);
    display: inline-block;
    /*font-size: 1.5rem;*/
}

.month h2 {
    margin: 20px 0;
}

.month {
    margin: 0 0 40px;
}

.single .post-navigation {
    margin: 0;
    border-top: 0;
    background-color: var(--ast-global-color-5);
    padding: 20px !important;
}

.header-event {
    background-color: var(--ast-global-color-0);
    color: white;
    padding: 1.5em 2.5em;
    font-size: 1.2em;
    line-height: normal;
    display: flex;
    gap: 10px 40px;
    flex-wrap: wrap;
    margin-bottom: 40px;
    background-image: url(/diocese-nanterre-test/wp-content/uploads/2025/02/calendrier.svg);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: calc(100% + 60px) center;
    padding: 1.5em 100px 1.5em 2.5em;
}

.header-event .place, .header-event time, .header-event .date {
    display: flex;
	align-items: end;
}

.header-event>div:before {
    content: '';
    width: 25px;
    height: 25px;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    display: inline-block;
    vertical-align: top;
    margin-right: 10px;
}

.header-event>div>div {
    display: inline-block;
}

.header-event>div {
    margin-bottom: 10px;
}

.header-event>.date:before {
    background-image: url('/wp-content/uploads/2025/02/calendrier.svg');
}

.header-event>.time:before {
    background-image: url('/wp-content/uploads/2025/02/horloge_b-1.svg');
}

.header-event>.place:before {
    background-image: url('/wp-content/uploads/2025/02/location-dot-solid-2.svg');
}

button.glide__arrow.glide__arrow--right {
    right: -40px;
}

button.glide__arrow.glide__arrow--left {
    left: -40px;
}

button.glide__arrow .ast-arrow-svg {
    margin: 0;
}

button.glide__arrow {
    border: none;
    position: absolute;
    background-color: transparent;
    padding: 5px;
    color: var(--ast-global-color-0);
    box-shadow: none;
    font-size: 25px;
    top: 40%;
    transform: translateY(-50%);
}


/* Widget */

.sidebar-main {
    padding: 0 2.5em 40px;
    background-color: var(--ast-global-color-5);
}

.sidebar-main .quick-buttons .wp-block-columns {
    flex-direction: column
}

.small .uagb-button__link {
    font-size: 15px !important;
}

.small a.uagb-buttons-repeater.wp-block-button__link {
    padding: 8px 15px 5px;
}

div.wpforms-container-full input[type=date],
div.wpforms-container-full input[type=datetime],
div.wpforms-container-full input[type=datetime-local],
div.wpforms-container-full input[type=email],
div.wpforms-container-full input[type=month],
div.wpforms-container-full input[type=number],
div.wpforms-container-full input[type=password],
div.wpforms-container-full input[type=range],
div.wpforms-container-full input[type=search],
div.wpforms-container-full input[type=tel],
div.wpforms-container-full input[type=text],
div.wpforms-container-full input[type=time],
div.wpforms-container-full input[type=url],
div.wpforms-container-full input[type=week],
div.wpforms-container-full select,
div.wpforms-container-full textarea,
.wp-core-ui div.wpforms-container-full input[type=date],
.wp-core-ui div.wpforms-container-full input[type=datetime],
.wp-core-ui div.wpforms-container-full input[type=datetime-local],
.wp-core-ui div.wpforms-container-full input[type=email],
.wp-core-ui div.wpforms-container-full input[type=month],
.wp-core-ui div.wpforms-container-full input[type=number],
.wp-core-ui div.wpforms-container-full input[type=password],
.wp-core-ui div.wpforms-container-full input[type=range],
.wp-core-ui div.wpforms-container-full input[type=search],
.wp-core-ui div.wpforms-container-full input[type=tel],
.wp-core-ui div.wpforms-container-full input[type=text],
.wp-core-ui div.wpforms-container-full input[type=time],
.wp-core-ui div.wpforms-container-full input[type=url],
.wp-core-ui div.wpforms-container-full input[type=week],
.wp-core-ui div.wpforms-container-full select,
.wp-core-ui div.wpforms-container-full textarea {
    border-width: 0;
    border-radius: 0
}

div.wpforms-container-full .wpforms-field-label,
.wp-core-ui div.wpforms-container-full .wpforms-field-label {
    color: var(--ast-global-color-0);
}

div.wpforms-container-full input[type=submit],
div.wpforms-container-full button[type=submit],
div.wpforms-container-full .wpforms-page-button,
.wp-core-ui div.wpforms-container-full input[type=submit],
.wp-core-ui div.wpforms-container-full button[type=submit],
.wp-core-ui div.wpforms-container-full .wpforms-page-button {
    border-radius: 50px;
    font-weight: 600;
    line-height: 1em !important;
    text-transform: uppercase;
    padding-top: 14px;
    padding-right: 30px;
    padding-bottom: 14px;
    padding-left: 30px;
    display: inline-block;
    background: var(--ast-global-color-0) !important;
}

div.wpforms-container-full input[type=submit]:hover,
div.wpforms-container-full button[type=submit]:hover,
div.wpforms-container-full .wpforms-page-button:hover,
.wp-core-ui div.wpforms-container-full input[type=submit]:hover,
.wp-core-ui div.wpforms-container-full button[type=submit]:hover,
.wp-core-ui div.wpforms-container-full .wpforms-page-button:hover {
    background: var(--ast-global-color-1) !important;
    filter: none;
}

div.wpforms-container-full input[type=date],
div.wpforms-container-full input[type=datetime],
div.wpforms-container-full input[type=datetime-local],
div.wpforms-container-full input[type=email],
div.wpforms-container-full input[type=month],
div.wpforms-container-full input[type=number],
div.wpforms-container-full input[type=password],
div.wpforms-container-full input[type=range],
div.wpforms-container-full input[type=search],
div.wpforms-container-full input[type=tel],
div.wpforms-container-full input[type=text],
div.wpforms-container-full input[type=time],
div.wpforms-container-full input[type=url],
div.wpforms-container-full input[type=week],
div.wpforms-container-full select,
div.wpforms-container-full textarea,
.wp-core-ui div.wpforms-container-full input[type=date],
.wp-core-ui div.wpforms-container-full input[type=datetime],
.wp-core-ui div.wpforms-container-full input[type=datetime-local],
.wp-core-ui div.wpforms-container-full input[type=email],
.wp-core-ui div.wpforms-container-full input[type=month],
.wp-core-ui div.wpforms-container-full input[type=number],
.wp-core-ui div.wpforms-container-full input[type=password],
.wp-core-ui div.wpforms-container-full input[type=range],
.wp-core-ui div.wpforms-container-full input[type=search],
.wp-core-ui div.wpforms-container-full input[type=tel],
.wp-core-ui div.wpforms-container-full input[type=text],
.wp-core-ui div.wpforms-container-full input[type=time],
.wp-core-ui div.wpforms-container-full input[type=url],
.wp-core-ui div.wpforms-container-full input[type=week],
.wp-core-ui div.wpforms-container-full select,
.wp-core-ui div.wpforms-container-full textarea {
    background-color: var(--ast-global-color-5);
}

.timetable,
.white-box {
    background-color: var(--ast-global-color-5);
}

.timetable.border {
    background-color: var(--ast-global-color-4) !important;
    border: 2px solid var(--ast-global-color-1);
}

.widget_nav_menu ul ul.sub-menu li {
    padding-left: 20px;
    padding-bottom: 15px;
}
aside.footer-widget-area a.menu-link {
    line-height: 1.1em;
    display: block;
}

.footer-widget-area .menu-item-has-children > a {
    padding-bottom: 10px !important;
}

.sub-menu span.ast-icon.icon-arrow {
    display: none;
}

.uagb-buttons__outer-wrap .uagb-buttons-repeater {
    text-align: center;
}

.single-evenement span.published {
    display: none;
}

@media screen and (min-width:768px) {
    ul.glide__slides li {
        width: calc(33.333333% - 27px);
    }
}

@media screen and (max-width:768px) {
    .header-event {
        background-position: calc(100% + 130px) center;
        padding: 1em 2em 1em 1em;
    }
}